<?php 
/*PROMNN A KONSTANTY*/


$wta_url="http://www.example.com/statistika/"; //zklad URL systmu
$wta_dir_common="common/"; //adres pro sdlen soubory
$wta_dir_view="view/"; //adres pro statistick (uivatelsk) modul
$wta_dir_admin="admin/"; //adres pro administran modul
$wta_dir_config="config/"; //adres pro konfiguran soubory

/*CT-common text*/
define ("CT_UNDEF", "<span title=\"Nen mono spotat!\">[?]</span>");
define ("CT_NOSENSE", "<span title=\"Nem smysl potat.\">---</span>");
define ("CT_NODATA", "Pro dan obdob nejsou k dispozici dn informace.<br>");


//pouzivane regularni vyrazy
$regexp_sum="^20[0-9]{2}-[0-1][0-9]$";            //2002-10
$regexp_oth="^20[0-9]{2}-[0-1][0-9]-[0-3][0-9]$"; //2002-10-20
$regexp_ip="[[:digit:]]{1,3}\.[[:digit:]]{1,3}\.[[:digit:]]{1,3}\.[[:digit:]]{1,3}";
$regexp_ip_name="^.*(-|[[:alnum:]]){2,}\.([[:alpha:]]){2,5}$";
$regexp_wid="[a-z0-9]{3,10}"; //pro $wid a $selweb
$regexp_tblprefix="c|s_".$regexp_wid;
$regexp_host="([^\.]{2,}\.[^\.]{2,5})$"; //cokoliv(domena2radu.tld)

//suffixy tabulek (value) a zda je pro ne inic. dump
$tblsuffix_c=Array("os"=>1,
				"browser"=>1,
				"resolution"=>1,
				"colordepth"=>1,
				"area"=>1,
				"region"=>1,
				"domain"=>1,
				"searchengine"=>1);

//suffixy tabulek (key) a zda je pro ne inic. dump (0=ne, 1=ano)
$tblsuffix_s=Array("access"=>0,
				"referer"=>1,
				"path"=>1,
				"ip_name"=>1,
				"searched"=>0,
				"searchtext"=>1);


//nazvy mesicu a dnu
$monthname=Array("rok",
                 "leden",
                 "nor",
                 "bezen",
                 "duben",
                 "kvten",
                 "erven",
                 "ervenec",
                 "srpen",
                 "z",
                 "jen",
                 "listopad",
                 "prosinec");

$dayname=Array("pondl",
              "ter",
              "steda",
              "tvrtek",
              "ptek",
              "sobota",
              "nedle");

/*FUNKCE*/

//zaokrouhlovn na cel kB nahoru
function to_kb($bytes)
{
$kb=ceil($bytes/1024);
return $kb;
};

//vlastni serializacni fce
function msg_pack($msg) //vstupem pole, vystupem string
{
	$msg_str=implode("@@@", $msg);
	return urlencode($msg_str);
};

function msg_unpack($msg) //vstupem string, vystupem pole
{
	$msg_decoded=urldecode($msg);
	return explode("@@@", $msg_decoded);
};

//modifikace std. fce "UCFirst" i pro esk znaky s diakritikou
function wta_ucfirst($text)
{
$text[0]=StrTr($text[0], "abcdefghijklmnopqrstuvwxyz", "ABCDEFGHIJKLMNOPQRSTUVWXYZ̊؎ڍ");;
return $text;
};

// "."=>","
function no_uscz($in)
{
$out=StrTr($in,".",",");
return $out;
}

// ","=>"."
function no_czus($in)
{
$out=StrTr($in,",",".");
return $out;
}

//doplnn na dvojcifern slo pidnm nuly zleva
function datepad($date)
{
$date=str_pad($date, 2, "0", STR_PAD_LEFT);
return $date;
}

//odstranovani daneho parametr z URL (a pripadnych zalozek)
function smarturl($url,$hate=0) //$hate je nazev toho co chci odstranit, pokud je =0, odstrani se jen nazev zalozky
{
$re0="^([^\?#&]+)(\??)([^\#]*)(#?)(.*)$";
if(ereg($re0, $url, $regs0)): //tomu by mela vyhovovat kazda neprazdna URL
	if(!empty($regs0[3]) && $hate): //jsou parametry a je zadan param, ktery chci odstranit
		$re="(^|(.*[^&]))(&?".$hate."=[^&]*&?)(.*)"; //hodnoty, &vybrana&, hodnoty
		if (eregi ($re, $regs0[3], $regs)): 
			if(!empty($regs[1])):
				if(!empty($regs[4])):
					$result=$regs[1]."&".$regs[4]; // - je uprostred
				else:
					$result=$regs[1]; //- je na konci
				endif;
			else:
				if(!empty($regs[4])):
					$result=$regs[4]; //- je na zacatku
				else:
					$result=""; //je tam prave jen hledany - vracim prazdne query
				endif;
			endif;
		else: //vubec neodpovida regexpu - tedy hledany tam vubec neni
			$result=$regs0[3]; //vracim puvodni query
		endif;

		if(empty($result)): //ten co ho chceme vyhodit je jedinym parametrem
			$finalresult=$regs0[1];
		else:
			$finalresult=$regs0[1].$regs0[2].$result;
		endif;

		return $finalresult;
	else: //neni zadny query nebo nejsou hateparams
		return $regs0[1].$regs0[2].$regs0[3]; //puvodni url bez zalozky
	endif;
else: //nevyhovuje zakladnimu regexpu pro URL
	return $url;
endif;
};
?>
