<?php 
class statphp
{
var $arr_values;

var $countval; //poet hodnot
var $sumval;
var $avg; //aritm. prmr
var $diffusion; //rozptyl
var $stddev; //smrodat odchylka
var $obliqueness; //ikmost
var $pointedness; //piatost
var $median; //medin
var $minval; //minimum
var $maxval; //maximum;

function statphp()
{
	$this->countval=NULL;
	$this->sumval=NULL;
	$this->avg=NULL;
	$this->diffusion=NULL;
	$this->stddev=NULL;
	$this->obliqueness=NULL;
	$this->pointedness=NULL;	
	$this->median=NULL;		
	$this->minval=NULL;	
	$this->maxval=NULL;	
	$this->arr_values=array();		
}

function add($value) //mono pidat int, string i array
{
	array_push($this->arr_values,$value);
}

function addold($value) //mono pidat int, string i array
{
	$this->arr_values=array_merge($this->arr_values,$value);
}

function evaluate() //vpoet statist. ukazatel
{
	$this->countval=count($this->arr_values); //poet hodnot
	if($this->countval):
		$freq=array_count_values($this->arr_values);
		
		$sum=array(0,0,0,0,0);
		foreach ($freq as $xi=>$ni)
		{
			//$sum[0]=$sum[0]+$ni; //pocet hodnot (n)
			for ($i=1;$i<=4;$i++):
			$sum[$i]=$sum[$i]+(pow($xi, $i)*$ni);
			endfor;
		};
		
		$this->sumval=$sum[1]; //soucet hodnot

		for ($i=1;$i<=4;$i++):
		$o[$i]=$sum[$i]/$this->countval;   //obecne momenty
		endfor;
	
		$this->avg=$o[1]; //prumer hodnot
	
		//potrebne centralni a normovane momenty
		$c[2]=$o[2]-pow($o[1], 2);
		$c[3]=$o[3]-3*$o[1]*$o[2]+2*pow($o[1],3);
		$c[4]=-3*pow($o[1], 4)+6*pow($o[1], 2)*$o[2]-4*$o[1]*$o[3]+$o[4];
		
		$this->diffusion=$c[2]; //rozptyl
	
		if($c[2]):
			$n[3]=$c[3]/pow($c[2], 1.5);
			$n[4]=$c[4]/pow($c[2], 2);
			$sx=pow($c[2], 0.5);		
	
			$this->obliqueness=$n[3]; //ikmost
			$this->pointedness=$n[4]; //piatost
			$this->stddev=$sx;	//smrodat. odchylka	
		endif;
		
		//medin
		sort($this->arr_values);		
		if($this->countval%2): //lich poet cisel
			$this->median=$this->arr_values[(($this->countval+1)/2)-1];
		else: //sudy pocet cisel
			$this->median=($this->arr_values[($this->countval/2)-1]+$this->arr_values[$this->countval/2])/2;
		endif;
		
		//min a max
		$this->minval=min($this->arr_values);
		$this->maxval=max($this->arr_values);		
	endif; // end - if($this->countval)
}


function rprint($what) //vrac zaokrouhlen s eskou des. rkou
{
if(isset($this->$what)):
	return no_uscz(bcadd($this->$what,0,2));
	//aby bylo zobrazeni VZDY na 2 des cisla - tedy napr. 12.00
else:
	return CT_UNDEF;
endif;
}

};

//nulov hodnoty budou ignorovny (nn=not null)
class statphpnn extends statphp
{

function add($value) //mete pidvat postupn sla, nulov hodnoty ignorovny
{
	if($value): //pokud se nerovn nule 
	//- bude sprvn fungovat jen pi pidvn integeru nikoli pole!!
		array_push($this->arr_values,$value);
	endif;
}

function addold($value) //mete pidvat postupn sla, nulov hodnoty ignorovny
{
	if($value): //pokud se nerovn nule 
	//- bude sprvn fungovat jen pi pidvn integeru nikoli pole!!
		$this->arr_values=array_merge($this->arr_values,$value);
	endif;
}

};

?>





