<?php 
include("../".$wta_dir_common."function_statphp.php"); //class pro statistiky

if($selsum_month=="00"): //vpis za rok
	$sql = "SELECT
	MONTH( access_date ) AS monthday,
	count( * ) AS pageviews,
	SUM( BIT_COUNT( visit ) ) AS visits,
	SUM( BIT_COUNT( visit &2 ) ) AS comebacks,
	COUNT( DISTINCT ip ) AS uip 
	FROM s_{$selweb}_access 
	WHERE (YEAR( access_date )) = $selsum_year 
	GROUP BY monthday 
	ORDER BY monthday ASC";
	$selsum_forlimit=12; //12 mesicu

else:  //vpis za msc
	$sql = "SELECT
	DAYOFMONTH( access_date ) AS monthday,
	count( * ) AS pageviews,
	SUM( BIT_COUNT( visit ) ) AS visits,
	SUM( BIT_COUNT( visit &2 ) ) AS comebacks,
	COUNT( DISTINCT ip ) AS uip 
	FROM s_{$selweb}_access 
	WHERE (MONTH( access_date )) = $selsum_month AND (YEAR( access_date )) = $selsum_year 
	GROUP BY monthday 
	ORDER BY monthday ASC";
	$selsum_forlimit=Date("t", MkTime(0,0,0,$selsum_month,1,$selsum_year)); //poet dn v msci
endif;

?>
<table class="mtab-results" >
  <tr>
    <td class="pad1">
      <p class="tit1">Souhrny</p>
      <p class="tit2"><?php  echo (wta_ucfirst($selsum_textmerged)) ?></p>

<table class="rtab">
<?php 
echo "<tr class=\"rheader1\">\n";
echo "<td>".($selsum_month=="00"?"Msc":"Den")."</td>\n";
echo "<td>Strnek</td>\n";
echo "<td>Nvtv</td>\n";
echo "<td>Nvrat</td>\n";
echo "<td>UIP</td>\n";
echo "<td>Str./Nvtva</td>\n";
echo "</tr>\n";
$result = MySQL_Query($sql);

//objekty statistik
//pro nenulove hodnoty
$s_pageviewsnn=new statphp;
$s_visitsnn=new statphp;
$s_comebacksnn=new statphp;
$s_uipnn=new statphp;
$s_pgvisnn=new statphp; //Str./Nvtva

//pro vsechny (tedy i nulove) hodnoty
$s_pageviews=new statphp;
$s_visits=new statphp;
$s_comebacks=new statphp;
$s_uip=new statphp;
$s_pgvis=new statphp; //Str./Nvtva

/*zobrazeni dni v mesici (mesicu v roce)*/
$next_record=1; //posunout se na dalsi zaznam z vysledku dotazu
for($i=1;$i<=$selsum_forlimit;$i++)
{
   if($next_record) $record = MySQL_Fetch_array($result);
   if($record["monthday"]==$i):
         echo "<tr class=\"rnormal\">\n";
         echo "<td><b>".$record["monthday"]."</b></td>\n";
         echo "<td>".$record["pageviews"]."</td>\n";
		 $s_pageviews->add($record["pageviews"]);
		 $s_pageviewsnn->add($record["pageviews"]);
         echo "<td>".$record["visits"]."</td>\n";
		 $s_visits->add($record["visits"]);
		 $s_visitsnn->add($record["visits"]);
         echo "<td>".$record["comebacks"]."</td>\n";
		 $s_comebacks->add($record["comebacks"]);
		 $s_comebacksnn->add($record["comebacks"]);
         echo "<td>".$record["uip"]."</td>\n";
		 $s_uip->add($record["uip"]);
		 $s_uipnn->add($record["uip"]);
         if($record["visits"]):    //pokud jsou nejake navstevy muzu jimi delit
            echo "<td>".no_uscz($pgvis=BCDiv($record["pageviews"],$record["visits"],2))."</td>\n";
			$s_pgvis->add($pgvis);
			$s_pgvisnn->add($pgvis);
         else:
            echo "<td>".CT_UNDEF."</td>\n";
         endif;
         echo "</tr>\n";
         $next_record=1;
   else:
         echo "<tr class=\"rnormal\">\n";
         echo "<td><b>".$i."</b></td>\n";
         echo "<td>0</td>\n";
         echo "<td>0</td>\n";
         echo "<td>0</td>\n";
         echo "<td>0</td>\n";
         echo "<td>0,00</td>\n";
         echo "</tr>\n";
		 $s_pageviews->add(0);
		 $s_visits->add(0);
		 $s_comebacks->add(0);
		 $s_uip->add(0);
         $next_record=0;
   endif;
};

/*vypocteni stat. ukazatel*/
//pro vechny hodnoty (tj. i nulov)
$s_pageviews->evaluate();
$s_visits->evaluate();
$s_comebacks->evaluate();
$s_uip->evaluate();
$s_pgvis->evaluate();
//pro nenulov hodnoty
$s_pageviewsnn->evaluate();
$s_visitsnn->evaluate();
$s_comebacksnn->evaluate();
$s_uipnn->evaluate();
$s_pgvisnn->evaluate();

/*zobrazen stat. ukazatel*/
//funkce pro zobrazen ukazatel
function print_indic($nornn="") //nornn=null or not null
{
global $s_pageviews;
global $s_visits;
global $s_comebacks;
global $s_uip;
global $s_pgvis;

global $s_pageviewsnn;
global $s_visitsnn;
global $s_comebacksnn;
global $s_uipnn;
global $s_pgvisnn;


	$indicators=array("countval"=>"Poet hodnot",
					"sumval"=>"Souet",
					"avg"=>"Prmr",					
					"minval"=>"Minimum",
					"maxval"=>"Maximum",
					"median"=>"Medin",
					"stddev"=>"Smrodat. odch.",
					"diffusion"=>"Rozptyl");
	foreach($indicators as $indickey=>$indicval)
	{
	echo "<tr class=\"rnormal\">\n";
	echo "<td class=\"alleft\"><b>".$indicval."</b></td>\n";
	echo "<td>".${"s_pageviews".$nornn}->rprint($indickey)."</td>\n";
	echo "<td>".${"s_visits".$nornn}->rprint($indickey)."</td>\n";
	echo "<td>".${"s_comebacks".$nornn}->rprint($indickey)."</td>\n";
	echo "<td>".${"s_uip".$nornn}->rprint($indickey)."</td>\n";
	echo "<td>".(($indickey=="sumval")?CT_NOSENSE:$s_pgvis->rprint($indickey))."</td>\n";
	echo "</tr>\n";
	};
};

//hlavika
echo "<tr class=\"rheader1\">\n";
echo "<td>Ukazatel</td>\n";
echo "<td>Strnek</td>\n";
echo "<td>Nvtv</td>\n";
echo "<td>Nvrat</td>\n";
echo "<td>UIP</td>\n";
echo "<td>Str./Nvtva<span class=\"tinytext\">*</span></td>\n";
echo "</tr>\n";
//pro vechny hodnoty
print_indic("");
//pro nenulov hodnoty (pokud se poet nenulovch hodnot nerovn potu vech hodnot)
if($s_pageviewsnn->countval!=$selsum_forlimit):
	//pokud pocet nenulovych hodnot se nerovna poctu dni v mesici (ev. mesicu v roce)
	echo "<tr class=\"rheader2\"><td class=\"alleft\" colspan=\"6\">
	Vpoty pouze za ".(($selsum_forlimit==12)?"msce":"dny")." kdy byl realizovn pstup
	</td></tr>\n";
	print_indic("nn");
endif;

?>
</table>
<p class="tinytext">
* Tento ukazatel je vdy potn pouze za <?php  echo ($selsum_forlimit==12)?"msce":"dny"?> kdy byla realizovna alespo 1 nvtva.
</p>

      
    </td>
  </tr>
</table>
